Hitachi Vantara Pentaho Community Forums
Results 1 to 2 of 2

Thread: Problems debugginb pentaho on JBoss IDE

  1. #1

    Default Problems debugginb pentaho on JBoss IDE

    Hello,
    I'd success on deploying pentaho by eclipse, I can compile it with ant, but when I try debug with JBoss IDE I got the error bellow.
    If I start JBoss by hand, clicking on run.bat, it starts normally, without problems, but I can't do debugging.
    I saw in a forum that it occurs when we're trying executing a class compiled with java 1.5 version, but if it's true, I think that start it by hand will failure.


    java.lang.UnsupportedClassVersionError: javax/management/NotificationEmitter (Unsupported major.minor version 49.0)
    at java.lang.ClassLoader.defineClass0(Native Method)
    at java.lang.ClassLoader.defineClass(ClassLoader.java:539)
    at java.security.SecureClassLoader.defineClass(SecureClassLoader.java:123)
    at java.net.URLClassLoader.defineClass(URLClassLoader.java:251)
    at java.net.URLClassLoader.access$100(URLClassLoader.java:55)
    at java.net.URLClassLoader$1.run(URLClassLoader.java:194)
    at java.security.AccessController.doPrivileged(Native Method)
    at java.net.URLClassLoader.findClass(URLClassLoader.java:187)
    at java.lang.ClassLoader.loadClass(ClassLoader.java:289)
    at java.lang.ClassLoader.loadClass(ClassLoader.java:235)
    at java.lang.ClassLoader.loadClassInternal(ClassLoader.java:302)
    at java.lang.ClassLoader.defineClass0(Native Method)
    at java.lang.ClassLoader.defineClass(ClassLoader.java:539)
    at java.security.SecureClassLoader.defineClass(SecureClassLoader.java:123)
    at java.net.URLClassLoader.defineClass(URLClassLoader.java:251)
    at java.net.URLClassLoader.access$100(URLClassLoader.java:55)
    at java.net.URLClassLoader$1.run(URLClassLoader.java:194)
    at java.security.AccessController.doPrivileged(Native Method)
    at java.net.URLClassLoader.findClass(URLClassLoader.java:187)
    at java.lang.ClassLoader.loadClass(ClassLoader.java:289)
    at java.lang.ClassLoader.loadClass(ClassLoader.java:235)
    at org.jboss.system.server.ServerLoader.createServer(ServerLoader.java:286)
    at org.jboss.system.server.ServerLoader.load(ServerLoader.java:268)
    at org.jboss.Main.boot(Main.java:194)
    at org.jboss.Main$1.run(Main.java:508)
    at java.lang.Thread.run(Thread.java:534)

    I appreciate any help.

    Thanks

  2. #2
    Join Date
    Oct 2006
    Posts
    817

    Default

    If you are running a recent Pentaho Pre-Configured Install, it requires Java 5. Make sure you have a version 5 JRE configured in Eclipse. Also, is it possible that you have a version 5 JRE on your path and that is what is making the "by hand" execution succeed? Run "java -version" to see.

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •  
Privacy Policy | Legal Notices | Safe Harbor Privacy Policy

Copyright © 2005 - 2019 Hitachi Vantara Corporation. All Rights Reserved.